package com.rf.psychological.scale.service;

import com.rf.psychological.scale.dao.model.ScaleMarksEntity;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:49
 */
public interface ScaleMarksService {
    /**
     * 根据flag获取全部评分规则
     *
     * @param flag
     */
    List<ScaleMarksEntity> getScaleMarksByFlag(String flag);

    /**
     * 保存
     *
     * @param scaleMarksEntity
     */
    void saveScaleMarks(ScaleMarksEntity scaleMarksEntity);

    List<ScaleMarksEntity> getScaleMarkByName(String name);

    List<ScaleMarksEntity> findAll();

    void saveBatch(List<ScaleMarksEntity> scaleMarksEntities);

    void updateById(String id, String symptom, String improvementSuggestions);

    void updateMark(ScaleMarksEntity scaleMarksEntity);

    void deleteScaleMarkByFlag(String flag);

    List<ScaleMarksEntity> getScaleMarksByFlagAndName(String flag, String name);
}
